/**
 * Service for quit
 * @extends TheService
 * @class TheQuitService
 */
'use strict'

const { TheService } = require('the-service-base')

class TheQuitService extends TheService {
  /**
   * Do destroy user account
   * @param {Object} config
   * @returns {Promise<Object>}
   */
  async processQuit (config) {
    const {
      userId,
    } = config
    const { Profile, Sign, User } = this.resources
    const user = await User.one(userId)
    const profile = await Profile.ofUser(user)
    const sign = await Sign.ofUser(user)

    return {
      destroyed: {
        profile: await Profile.destroy(profile.id),
        sign: await Sign.destroy(sign.id),
        user: await User.destroy(user.id),
      },
    }
  }
}

module.exports = TheQuitService
