/**
 * Test for TheRecoverService.
 * Runs with mocha.
 */
'use strict'

const TheRecoverService = require('../lib/TheRecoverService')
const {createDB} = require('./_helpers')
const {ok, equal} = require('assert')

describe('the-recover-service', () => {
  before(() => {
  })

  after(() => {
  })

  it('Do test', async () => {
    const db = createDB()
    const {User, Sign, Profile} = db.resources
    const user01 = await User.create({name: 'user01'})
    const profile01 = await Profile.ofUser(user01)
    await profile01.update({email: 'user01@example.com'})
    const recoverService = new TheRecoverService(db.resources)

    const {envelop, expireAt} = await recoverService.processPrepare({
      userId: user01.id,
      email: 'user01@example.com'
    })
    ok(envelop)
    ok(expireAt)

    await recoverService.processReset({envelop, password: 'hoge'})

    const sign01 = await Sign.ofUser(user01)
    ok(sign01.verifyPassword('hoge'))
  })
})

/* global describe, before, after, it */
