/**
 * Test for TheVerifyService.
 * Runs with mocha.
 */
'use strict'

const TheVerifyService = require('../lib/TheVerifyService')
const {createDB} = require('./_helpers')
const {ok, equal} = require('assert')

describe('the-verify-service', () => {
  before(() => {
  })

  after(() => {
  })

  it('Do test', async () => {
    const db = createDB()
    const {User, Profile} = db.resources
    const user01 = await User.create({name: 'user01'})
    const profile01 = await Profile.ofUser(user01)
    await user01.update({profile: profile01})
    const verifyService = new TheVerifyService(db.resources)
    ok(verifyService)
    ok(
      !(await  verifyService.pickNeeded({userId: user01.id}))
    )
    await profile01.update({email: 'user01@example.com'})
    ok(
      (await  verifyService.pickNeeded({userId: user01.id}))
    )
    const {envelop} = await verifyService.processPrepare({
      userId: user01.id
    })

    await verifyService.processVerify({envelop})

    ok(
      !(await  verifyService.pickNeeded({userId: user01.id}))
    )
  })
})

/* global describe, before, after, it */
