'use strict'

const theDB = require('the-db')
const {
  TheUserResource,
  TheProfileResource,
  TheSignResource,
  TheRoleResource,
} = require('the-site-resources')

exports.createDB = () => {
  const db = theDB({dialect: 'memory'})
  db.load(TheUserResource, 'User')
  db.load(TheProfileResource, 'Profile')
  db.load(TheSignResource, 'Sign')
  db.load(class extends TheRoleResource {
    static get codes () {
      return {ADMIN: 'ADMIN', NORMAL: 'NORMAL'}
    }
  }, 'Role')
  return db
}